---
title: HTMLSelectElement.remove()
slug: Web/API/HTMLSelectElement/remove
tags:
  - API
  - HTML DOM
  - HTMLSelectElement
  - Method
  - Reference
---
<div>{{ APIRef("HTML DOM") }}</div>

<p>The <code><strong>HTMLSelectElement.remove()</strong></code> method removes the element at the specified index from the options collection for this select element.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>collection</em>.remove(<em>index</em>);
</pre>

<h3 id="Parameters">Parameters</h3>

<ul>
 <li><code>index</code><em> </em>is a long for the index of the {{ domxref("HTMLOptionElement") }} to remove from the collection. If the index is not found the method has no effect.</li>
</ul>

<h2 id="Example">Example</h2>

<pre class="brush: js">var sel = document.getElementById("existingList");
sel.remove(1);

/*
  Takes the existing following select object:

  &lt;select id="existingList" name="existingList"&gt;
    &lt;option value="1"&gt;Option: Value 1&lt;/option&gt;
    &lt;option value="2"&gt;Option: Value 2&lt;/option&gt;
    &lt;option value="3"&gt;Option: Value 3&lt;/option&gt;
  &lt;/select&gt;

  And changes it to:

  &lt;select id="existingList" name="existingList"&gt;
    &lt;option value="1"&gt;Option: Value 1&lt;/option&gt;
    &lt;option value="3"&gt;Option: Value 3&lt;/option&gt;
  &lt;/select&gt;
*/
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-select-remove', 'HTMLSelectElement.remove()')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', 'forms.html#dom-select-remove', 'HTMLSelectElement.remove()')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>Is a snapshot of {{SpecName("HTML WHATWG")}}.</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 HTML', 'html.html#ID-33404570', 'HTMLSelectElement.remove()')}}</td>
   <td>{{Spec2('DOM2 HTML')}}</td>
   <td> </td>
  </tr>
  <tr>
   <td>{{SpecName('DOM1', 'level-one-html.html#ID-33404570', 'HTMLSelectElement.remove()')}}</td>
   <td>{{Spec2('DOM1')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.HTMLSelectElement.remove")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{ domxref("ChildNode.remove") }}, the method that gets called when remove is called without arguments on a {{ domxref("HTMLSelectElement") }}.</li>
 <li>{{domxref("HTMLSelectElement") }} that implements it.</li>
</ul>
